org.eclipse.oomph.base.impl

## Class BaseFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.oomph.base.impl.BaseFactoryImpl

- All Implemented Interfaces:
    Notifier, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BinaryResourceImpl.DataConverter.Factory, BaseFactory

      public class BaseFactoryImpl
      extends EFactoryImpl
      implements BaseFactory

  An implementation of the model Factory.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.base.BaseFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `convertException(Exception instanceValue)`
    `String` | `convertExceptionToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertText(String instanceValue)`
    `String` | `convertTextToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertURI(URI instanceValue)`
    `String` | `convertURIToString(EDataType eDataType, Object instanceValue)`
    `EObject` | `create(EClass eClass)`
    `Annotation` | `createAnnotation()`
    `Annotation` | `createAnnotation(String source)`
    `Annotation` | `createErrorAnnotation(String diagnostic)`
    `Exception` | `createException(String literal)`
    `Exception` | `createExceptionFromString(EDataType eDataType, String initialValue)`
    `Object` | `createFromString(EDataType eDataType, String initialValue)`
    `EObject` | `createGen(EClass eClass)`
    `Annotation` | `createInfoAnnotation(String diagnostic)`
    `Map.Entry<String,String>` | `createStringToStringMapEntry()`
    `String` | `createText(String literal)`
    `String` | `createTextFromString(EDataType eDataType, String initialValue)`
    `URI` | `createURI(String literal)`
    `URI` | `createURIFromString(EDataType eDataType, String initialValue)`
    `Annotation` | `createWarningAnnotation(String diagnostic)`
    `BasePackage` | `getBasePackage()`
    `static BasePackage` | `getPackage()` Deprecated.
    `static BaseFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### BaseFactoryImpl

          public BaseFactoryImpl()

      Creates an instance of the factory.
      Generated

  - ### Method Detail

    - #### init

          public static BaseFactory init()

      Creates the default factory implementation.
      Generated

    - #### createGen

          public EObject createGen(EClass eClass)

      Generated

    - #### create

          public EObject create(EClass eClass)

      Specified by:
        `create` in interface `EFactory`
      Overrides:
        `create` in class `EFactoryImpl`

    - #### createFromString

          public Object createFromString(EDataType eDataType,
                                String initialValue)

      Specified by:
        `createFromString` in interface `EFactory`
      Overrides:
        `createFromString` in class `EFactoryImpl`
      Generated

    - #### convertToString

          public String convertToString(EDataType eDataType,
                               Object instanceValue)

      Specified by:
        `convertToString` in interface `EFactory`
      Overrides:
        `convertToString` in class `EFactoryImpl`
      Generated

    - #### createAnnotation

          public Annotation createAnnotation()

      Specified by:
        `createAnnotation` in interface `BaseFactory`
      Returns:
        a new object of class 'Annotation'.
      Generated

    - #### createAnnotation

          public Annotation createAnnotation(String source)

      Specified by:
        `createAnnotation` in interface `BaseFactory`

    - #### createErrorAnnotation

          public Annotation createErrorAnnotation(String diagnostic)

      Specified by:
        `createErrorAnnotation` in interface `BaseFactory`

    - #### createWarningAnnotation

          public Annotation createWarningAnnotation(String diagnostic)

      Specified by:
        `createWarningAnnotation` in interface `BaseFactory`

    - #### createInfoAnnotation

          public Annotation createInfoAnnotation(String diagnostic)

      Specified by:
        `createInfoAnnotation` in interface `BaseFactory`

    - #### createStringToStringMapEntry

          public Map.Entry<String,String> createStringToStringMapEntry()

      Generated

    - #### createURI

          public URI createURI(String literal)

      Specified by:
        `createURI` in interface `BaseFactory`
      Parameters:
        `literal` - a literal of the data type.
      Returns:
        a new instance value of the data type.
      Generated
        NOT

    - #### createURIFromString

          public URI createURIFromString(EDataType eDataType,
                                String initialValue)

      Generated
        NOT

    - #### convertURI

          public String convertURI(URI instanceValue)

      Specified by:
        `convertURI` in interface `BaseFactory`
      Parameters:
        `instanceValue` - an instance value of the data type.
      Returns:
        a literal representation of the instance value.
      Generated
        NOT

    - #### convertURIToString

          public String convertURIToString(EDataType eDataType,
                                  Object instanceValue)

      Generated
        NOT

    - #### createException

          public Exception createException(String literal)

      Specified by:
        `createException` in interface `BaseFactory`
      Parameters:
        `literal` - a literal of the data type.
      Returns:
        a new instance value of the data type.
      Generated

    - #### createExceptionFromString

          public Exception createExceptionFromString(EDataType eDataType,
                                            String initialValue)

      Generated

    - #### convertException

          public String convertException(Exception instanceValue)

      Specified by:
        `convertException` in interface `BaseFactory`
      Parameters:
        `instanceValue` - an instance value of the data type.
      Returns:
        a literal representation of the instance value.
      Generated

    - #### convertExceptionToString

          public String convertExceptionToString(EDataType eDataType,
                                        Object instanceValue)

      Generated

    - #### createText

          public String createText(String literal)

      Specified by:
        `createText` in interface `BaseFactory`
      Parameters:
        `literal` - a literal of the data type.
      Returns:
        a new instance value of the data type.
      Generated
        NOT

    - #### createTextFromString

          public String createTextFromString(EDataType eDataType,
                                    String initialValue)

      Generated

    - #### convertText

          public String convertText(String instanceValue)

      Specified by:
        `convertText` in interface `BaseFactory`
      Parameters:
        `instanceValue` - an instance value of the data type.
      Returns:
        a literal representation of the instance value.
      Generated
        NOT

    - #### convertTextToString

          public String convertTextToString(EDataType eDataType,
                                   Object instanceValue)

      Generated

    - #### getBasePackage

          public BasePackage getBasePackage()

      Specified by:
        `getBasePackage` in interface `BaseFactory`
      Returns:
        the package supported by this factory.
      Generated

    - #### getPackage

          @Deprecated
          public static BasePackage getPackage()

      Deprecated.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html